#!/usr/bin/make -f

export PYBUILD_NAME=sensor-state-data
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sensor_state_data.egg-info/ docs/_build

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-sensor-state-data -p python-sensor-state-data-doc
	dh_installdocs -p python3-sensor-state-data

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	cd docs && LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -b html source _build/html
endif
